Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003056Piwigosearchpublic2014.03.18 10:082014.07.10 23:00
Reporterrvelices 
Assigned Torvelices 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.6.1 
Target Version2.7.0beta1Fixed in Version2.7.0beta1 
Summary0003056: Improve/rewrite quick search engine
Description- by default AND is used to match all entered terms
- add OR operator
- allow grouping using brackets ()
- add namespace search (useful only for geeks/admin) Examples:
    #snow - searches only tag names for snow
    ratio:0.9..1.1 - searches photos with width/height ratio between 0.9 and 1.1 (almost squares)
    hits:>10 - searches photos with number of visits >10
    size:>10mp - searches photos where width*height > 10 mega pixels
    file:.jpg - only jpg images
- use singular/plural inflections (english/french). Note fuzzy matching would be better but no MySql support ...

of course keep wildcards, not operator and quoted phrases
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0007375)
svn (reporter)
2014.03.21 06:16

[Subversion] r27868 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056: Improve/rewrite quick search engine: by default AND is used to match all entered terms, OR operator, grouping using brackets ()
still work in progress
(0007376)
svn (reporter)
2014.03.22 14:03

[Subversion] r27882 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056: quick search OR operator priority taken into account
search for 'mary qwerty' will ignore 'qwerty' and return only results for 'mary' if there is no such thing as 'qwerty' in the photos (if there was 'mary' and 'qwerty', the results for both 'mary' AND 'qwerty' would be shown)
(0007377)
svn (reporter)
2014.03.23 06:38

[Subversion] r27884 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056: quick search
- added inflectors for english and french languages
- current quick search is kept in the quick search input box
- small fixes
(0007399)
svn (reporter)
2014.04.03 21:46

[Subversion] r28064 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056: quick search - fix + prepare for scoped/range searches
(0007400)
svn (reporter)
2014.04.03 22:52

[Subversion] r28065 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056: quick search -
added scoped searches tag: photo: file:
added range searches width:..1024 height: ratio: size: filesize: hits: score:
(0007401)
svn (reporter)
2014.04.04 06:14

[Subversion] r28066 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056: quick search - fixes and better numeric range searches examples:
ratio:0.9..1.1
ratio:0.9..
ratio:>0.9
ratio:<1.1
ratio:>3/2
ratio:16/9
(0007403)
svn (reporter)
2014.04.05 08:26

[Subversion] r28080 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056: quick search - fixes and date range scopes (posted:2003 posted:>2003 posted:*2003 posted:2003-05..20050312 etc)
(0007405)
svn (reporter)
2014.04.06 08:33

[Subversion] r28092 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056: quick search - added events for plugins; completed help file
(0007406)
svn (reporter)
2014.04.08 22:45

[Subversion] r28128 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056: quick search - fix warning; better management of variants and short words
(0007408)
svn (reporter)
2014.04.09 23:23

[Subversion] r28144 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056: quick search - now tag search is the same as image search (full text match or like operator)
(0007409)
svn (reporter)
2014.04.10 23:23

[Subversion] r28152 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056: quick search - better handling of short words and photo acronyms such as AF-S EF-S X-E2 etc ...
(0007410)
svn (reporter)
2014.04.13 06:44

[Subversion] r28165 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056: quick search - fixes
(0007411)
svn (reporter)
2014.04.14 23:33

[Subversion] r28182 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056: quick search - added english inflections for -ing / -er for example searching for 'runner', 'runners' or 'running' will yield the same results for all terms (unless specifically quoted)
(0007412)
svn (reporter)
2014.04.15 22:22

[Subversion] r28196 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056: quick search - english inflections improvements
(0007417)
svn (reporter)
2014.05.06 21:14

[Subversion] r28383 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056: quick search - fix variable name
(0007422)
svn (reporter)
2014.05.13 22:09

[Subversion] r28459 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056: quick search - cache results for 5 minutes + comments + small fix
(0007514)
svn (reporter)
2014.07.07 22:39

[Subversion] r28992 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056 quick search - small fixes & improvements
- scopes are case insesitive date:2013 and Date:2013 are the same thing
- use strict comparison in scopes when required e.g. date:<2013 is not matching year 2013
- allow scopes (in plugins) to overwrite behaviour of space characters ...
(0007516)
svn (reporter)
2014.07.08 00:38

[Subversion] r28996 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056 quick search - allow negative values in numeric scope searches
(0007518)
svn (reporter)
2014.07.10 23:00

[Subversion] r29022 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3056 quick search - fix regex for date searches (was not working with months 11 and 12)

- Issue History
Date Modified Username Field Change
2014.03.18 10:08 rvelices New Issue
2014.03.18 10:08 rvelices Status new => assigned
2014.03.18 10:08 rvelices Assigned To => rvelices
2014.03.18 10:08 rvelices browser => any
2014.03.18 10:08 rvelices Web server => Apache 1.3.x
2014.03.21 06:16 svn Checkin
2014.03.21 06:16 svn Note Added: 0007375
2014.03.22 14:03 svn Checkin
2014.03.22 14:03 svn Note Added: 0007376
2014.03.23 06:38 svn Checkin
2014.03.23 06:38 svn Note Added: 0007377
2014.04.03 21:46 svn Checkin
2014.04.03 21:46 svn Note Added: 0007399
2014.04.03 22:52 svn Checkin
2014.04.03 22:52 svn Note Added: 0007400
2014.04.04 06:14 svn Checkin
2014.04.04 06:14 svn Note Added: 0007401
2014.04.05 08:26 svn Checkin
2014.04.05 08:26 svn Note Added: 0007403
2014.04.06 08:33 svn Checkin
2014.04.06 08:33 svn Note Added: 0007405
2014.04.06 08:34 rvelices Status assigned => closed
2014.04.06 08:34 rvelices Resolution open => fixed
2014.04.06 08:34 rvelices Fixed in Version => 2.7.0beta1
2014.04.08 22:45 svn Checkin
2014.04.08 22:45 svn Note Added: 0007406
2014.04.09 23:23 svn Checkin
2014.04.09 23:23 svn Note Added: 0007408
2014.04.10 23:23 svn Checkin
2014.04.10 23:23 svn Note Added: 0007409
2014.04.13 06:44 svn Checkin
2014.04.13 06:44 svn Note Added: 0007410
2014.04.14 23:33 svn Checkin
2014.04.14 23:33 svn Note Added: 0007411
2014.04.15 22:22 svn Checkin
2014.04.15 22:22 svn Note Added: 0007412
2014.05.06 21:14 svn Checkin
2014.05.06 21:14 svn Note Added: 0007417
2014.05.13 22:09 svn Checkin
2014.05.13 22:09 svn Note Added: 0007422
2014.07.07 22:39 svn Checkin
2014.07.07 22:39 svn Note Added: 0007514
2014.07.08 00:38 svn Checkin
2014.07.08 00:38 svn Note Added: 0007516
2014.07.10 23:00 svn Checkin
2014.07.10 23:00 svn Note Added: 0007518


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker